using UnityEngine;
using System.Collections;

public class Item : MonoBehaviour {
	public string description = "";
	protected Room room;
	protected GameController gc;

	void Start () {
		gc = GameController.instance;
		room = FindObjectOfType<Room>();
	}

	void OnTriggerEnter2D(/*Collider2D other*/){
		if(room){
			room.ShowObjText (description);
			room.player.SendMessage ("SetInteractiveItem", this);
		}
	}

	void OnTriggerExit2D(/*Collider2D other*/){
		room.HideObjText();
		room.player.SendMessage ("UnsetInteractiveItem");
	}

	void Action(){

	}
}
